Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(971)

Issue 11778083: Test that 404 subresource bodies with nested message loops don't crash. (Closed)

Created:
5 years, 3 months ago by gavinp
Modified:
5 years, 3 months ago
Reviewers:
sky
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, jam
Visibility:
Public.

Description

Test that 404 subresource bodies with nested message loops don't crash. This is a browser test because DumpRenderTree doesn't run nested message loops. The failure case was that a nested message triggered from an element that has signalled an error but had an open request would receive a body for the request and crash/fail an assertion. This test checks the WebKit side fix for this issue, see https://bugs.webkit.org/show_bug.cgi?id=103563 R=sky@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=176882

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+21 lines, -0 lines) Patch
M content/browser/webkit_browsertest.cc View 1 chunk +15 lines, -0 lines 0 comments Download
A content/test/data/error-body-no-crash.html View 1 chunk +6 lines, -0 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
gavinp
sky, What do you think?
5 years, 3 months ago (2013-01-10 03:13:25 UTC) #1
sky
Where is the nested message loop?
5 years, 3 months ago (2013-01-10 16:30:34 UTC) #2
gavinp
On 2013/01/10 16:30:34, sky wrote: > Where is the nested message loop? I have copied ...
5 years, 3 months ago (2013-01-10 18:59:17 UTC) #3
gavinp
And I engrammared the issue description, too.
5 years, 3 months ago (2013-01-10 19:06:03 UTC) #4
sky
LGTM
5 years, 3 months ago (2013-01-10 21:03:53 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gavinp@chromium.org/11778083/1
5 years, 3 months ago (2013-01-14 15:30:43 UTC) #6
commit-bot: I haz the power
Retried try job too often on linux_aura for step(s) content_browsertests
5 years, 3 months ago (2013-01-14 16:17:25 UTC) #7
gavinp
On 2013/01/14 16:17:25, I haz the power (commit-bot) wrote: > Retried try job too often ...
5 years, 3 months ago (2013-01-14 16:52:50 UTC) #8
gavinp
On 2013/01/14 16:52:50, gavinp wrote: > On 2013/01/14 16:17:25, I haz the power (commit-bot) wrote: ...
5 years, 3 months ago (2013-01-14 16:53:07 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gavinp@chromium.org/11778083/1
5 years, 3 months ago (2013-01-15 10:15:12 UTC) #10
commit-bot: I haz the power
5 years, 3 months ago (2013-01-15 11:16:22 UTC) #11
Message was sent while issue was closed.
Change committed as 176882

Powered by Google App Engine
This is Rietveld 408576698